RESTinio

Public Member Functions | Private Attributes | List of all members
restinio::parse_query_failure_t Class Reference

Type that indicates a failure of an attempt of query-string parsing. More...

`#include <uri_helpers.hpp>`

## Public Member Functions
| parse_query_failure_t (std::string description)
| parse_query_failure_t (utils::unescape_percent_encoding_failure_t &&failure)
RESTINIO_NODISCARD const std::string & | description () const noexcept
| Get a reference to the description of the failure. More...
RESTINIO_NODISCARD std::string | giveout_description () noexcept
| Get out the value of the description of the failure. More...

## Private Attributes
std::string | m_description
| Description of a failure. More...

## Detailed Description

Type that indicates a failure of an attempt of query-string parsing.

Since
  v.0.6.5

Examples
  sample/try_parse_query_string/main.cpp.

Definition at line 337 of file uri_helpers.hpp.

## Constructor & Destructor Documentation

## ◆ parse_query_failure_t() [1/2]

restinio::parse_query_failure_t::parse_query_failure_t | ( | std::string | description | ) |
| inline

Definition at line 343 of file uri_helpers.hpp.

## ◆ parse_query_failure_t() [2/2]

restinio::parse_query_failure_t::parse_query_failure_t | ( | utils::unescape_percent_encoding_failure_t && | failure | ) |
| inline

Definition at line 346 of file uri_helpers.hpp.

## Member Function Documentation

## ◆ description()

RESTINIO_NODISCARD const std::string & restinio::parse_query_failure_t::description | ( |  | ) | const
| inline noexcept

Get a reference to the description of the failure.

Definition at line 354 of file uri_helpers.hpp.

## ◆ giveout_description()

RESTINIO_NODISCARD std::string restinio::parse_query_failure_t::giveout_description | ( |  | ) |
| inline noexcept

Get out the value of the description of the failure.

This method is intended for cases when this description should be move elsewhere (to another object like parse_query_failure_t or to some exception-like object).

Definition at line 364 of file uri_helpers.hpp.

## Member Data Documentation

## ◆ m_description

std::string restinio::parse_query_failure_t::m_description
| private

Description of a failure.

Definition at line 340 of file uri_helpers.hpp.

The documentation for this class was generated from the following file:

- restinio/uri_helpers.hpp